CRUSH(1)

NAME
crush - A terminal-first AI assistant for software development

SYNOPSIS
crush [options...] [argument...]

DESCRIPTION
A glamorous, terminal-first AI assistant for software development and adjacent tasks

OPTIONS

--channels
    MCP servers to enable as channels (repeatable), e.g. --channels server:webhook

--C --continue
    Continue the most recent session

--c --cwd
    Current working directory

--D --data-dir
    Custom crush data directory

--d --debug
    Debug

--h --help
    Help

--H --host
    Connect to a specific crush server host (for advanced users)

--s --session
    Continue a previous session by ID

--y --yolo
    Automatically accept all permissions (dangerous mode)

COMMANDS

completion
    Generate the autocompletion script for the specified shell

COMMANDS
    bash
        Generate the autocompletion script for bash

    OPTIONS
        --no-descriptions disable completion descriptions

    fish
        Generate the autocompletion script for fish

    OPTIONS
        --no-descriptions disable completion descriptions

    powershell
        Generate the autocompletion script for powershell

    OPTIONS
        --no-descriptions disable completion descriptions

    zsh
        Generate the autocompletion script for zsh

    OPTIONS
        --no-descriptions disable completion descriptions

dirs
    Show config and data directories

help [command]
    Help about any command

login [platform]
    Login Crush to a platform

OPTIONS
    --f --force Force re-authentication even if already logged in

logout [platform]
    Logout Crush from a platform

OPTIONS
    --f --force Skip logout confirmation prompt

logs
    View crush logs

OPTIONS
    --f --follow Follow log output

    --t --tail
        Show only the last N lines default: 1000 for performance

models
    List all available models from known providers

projects
    List project directories

OPTIONS
    --json Output as JSON

run [prompt...]
    Run a single non-interactive prompt

OPTIONS
    --channels MCP servers to enable as channels (repeatable), e.g. --channels server:webhook

    --C --continue
        Continue the most recent session

    --c --cwd
        Current working directory

    --D --data-dir
        Custom crush data directory

    --d --debug
        Debug

    --H --host
        Connect to a specific crush server host (for advanced users)

    --m --model
        Model to use. Accepts 'model' or 'provider/model' to disambiguate models with the same name across providers

    --q --quiet
        Hide spinner

    --s --session
        Continue a previous session by ID

    --small-model
        Small model to use. If not provided, uses the default small model for the provider

    --v --verbose
        Show logs

server
    Start the Crush server

OPTIONS
    --H --host Server host (TCP or Unix socket)

session
    Manage sessions

COMMANDS
    delete <id>
        Delete a session

    OPTIONS
        --json output in JSON format

    last
        Show most recent session

    OPTIONS
        --json output in JSON format

    list
        List all sessions

    OPTIONS
        --json output in JSON format

    rename <id> <title>
        Rename a session

    OPTIONS
        --json output in JSON format

    show <id>
        Show session details

    OPTIONS
        --json output in JSON format

stats
    Show usage statistics

OPTIONS
    --all Aggregate stats from all known projects (from projects.json)

    --crawl-dir
        Crawl a directory recursively for all crush projects and aggregate stats

update-providers [path-or-url]
    Update providers

OPTIONS
    --source Provider source to update (catwalk or hyper)